Get a quote for the basket associated with the session
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/quoteconst url = 'https://{apiBaseUrl}/v2/{sessionId}/quote';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/quote"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/quote");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/quote")
.asString();{
"rooms": [
{
"roomId": 29449,
"occupancies": [
{
"occupancyId": 0,
"quantity": 1,
"price": {
"converted": {
"text": "361,80 €",
"value": {
"amount": 361.8,
"currency": "EUR"
}
},
"original": {
"text": "434,16 USD",
"value": {
"amount": 434.16,
"currency": "USD"
}
}
},
"isLoyalty": false,
"canUseRedemption": false,
"redemptionQuantity": 0
}
],
"guestPosition": 0
}
],
"cancelConditions": {
"name": [
{
"text": "Annulation gratuite avant le 08/01/2018",
"value": "Default"
},
{
"text": "Annulation gratuite sous conditions",
"value": "Short"
}
],
"summary": [
{
"text": "Si annulée ou en cas de non présentation à l'hôtel, la première nuit sans les extras est facturée et non remboursable.",
"value": "Default"
}
]
},
"depositConditions": {
"text": "La première nuit sans les extras est débitée à la réservation.",
"value": "Dépôt de garantie du montant de la première nuit sans les extras"
},
"sellingConditions": {
"totalAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"guaranteeAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"balanceAmount": {
"converted": {
"text": "20 €",
"value": {
"amount": 20,
"currency": "EUR"
}
},
"original": {
"text": "24 USD",
"value": {
"amount": 24,
"currency": "USD"
}
}
},
"balanceText": "Le solde de 20 € devra être payé à l'hôtel",
"balanceOriginalText": "Le solde de {0} € devra être payé à l'hôtel",
"discount": {
"name": "Discount",
"description": "20€ de discount",
"calculationMode": "Nominal",
"discountAmount": {
"converted": {
"text": "20 €",
"value": {
"amount": 20,
"currency": "EUR"
}
},
"original": {
"text": "24 USD",
"value": {
"amount": 24,
"currency": "USD"
}
}
},
"isPublic": true
},
"guaranteeRedemptionQuantity": 0,
"canUseRedemption": false,
"isLoyalty": false
},
"paymentModes": [
{
"name": "Default Deposit",
"type": "DefaultDeposit",
"title": "Payer uniquement le dépôt de garantie de 230 €",
"description": "Le solde devra être payé à l'hôtel",
"depositAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"depositRedemptionQuantity": 0,
"cancellationInsuranceAllowed": true,
"supportedCardTypes": [
"Visa",
"MasterCard"
],
"supportedPaymentMethods": [
"Paypal"
],
"isFullOnlinePayment": false,
"scheduledPayment": {
"description": "Réservez maintenant et payer 136 € le 20 avr. 2026."
}
}
],
"insurance": {
"name": "Allianz",
"price": {
"converted": {
"text": "18,80 €",
"value": {
"amount": 18.8,
"currency": "EUR"
}
},
"original": {
"text": "22,56 USD",
"value": {
"amount": 22.56,
"currency": "USD"
}
}
},
"insuredAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"termsUrl": "http://insurances.com/Allianz-fr.pdf",
"ipidUrl": "http://insurances.com/Allianz-IPID-fr.pdf",
"logoUrl": "http://logo.com/monlogo.jpg",
"depositText": "Le montant de l'assurance annulation (18,80 €) est à régler en ligne au moment de la réservation."
},
"defaultPaymentType": "DefaultDeposit",
"isSmsConfirmAvailable": true,
"marketing": {
"isOptinHotelAvailable": true,
"isOptinPartnersAvailable": true
}
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Basket
Get a quote for the basket
Get a quote for the basket associated with the session
GET
/
v2
/
{sessionId}
/
quote
Get a quote for the basket associated with the session
curl --request GET \
--url https://{apiBaseUrl}/v2/{sessionId}/quoteconst url = 'https://{apiBaseUrl}/v2/{sessionId}/quote';
const options = {method: 'GET'};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://{apiBaseUrl}/v2/{sessionId}/quote"
response = requests.get(url)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{apiBaseUrl}/v2/{sessionId}/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://{apiBaseUrl}/v2/{sessionId}/quote");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://{apiBaseUrl}/v2/{sessionId}/quote")
.asString();{
"rooms": [
{
"roomId": 29449,
"occupancies": [
{
"occupancyId": 0,
"quantity": 1,
"price": {
"converted": {
"text": "361,80 €",
"value": {
"amount": 361.8,
"currency": "EUR"
}
},
"original": {
"text": "434,16 USD",
"value": {
"amount": 434.16,
"currency": "USD"
}
}
},
"isLoyalty": false,
"canUseRedemption": false,
"redemptionQuantity": 0
}
],
"guestPosition": 0
}
],
"cancelConditions": {
"name": [
{
"text": "Annulation gratuite avant le 08/01/2018",
"value": "Default"
},
{
"text": "Annulation gratuite sous conditions",
"value": "Short"
}
],
"summary": [
{
"text": "Si annulée ou en cas de non présentation à l'hôtel, la première nuit sans les extras est facturée et non remboursable.",
"value": "Default"
}
]
},
"depositConditions": {
"text": "La première nuit sans les extras est débitée à la réservation.",
"value": "Dépôt de garantie du montant de la première nuit sans les extras"
},
"sellingConditions": {
"totalAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"guaranteeAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"balanceAmount": {
"converted": {
"text": "20 €",
"value": {
"amount": 20,
"currency": "EUR"
}
},
"original": {
"text": "24 USD",
"value": {
"amount": 24,
"currency": "USD"
}
}
},
"balanceText": "Le solde de 20 € devra être payé à l'hôtel",
"balanceOriginalText": "Le solde de {0} € devra être payé à l'hôtel",
"discount": {
"name": "Discount",
"description": "20€ de discount",
"calculationMode": "Nominal",
"discountAmount": {
"converted": {
"text": "20 €",
"value": {
"amount": 20,
"currency": "EUR"
}
},
"original": {
"text": "24 USD",
"value": {
"amount": 24,
"currency": "USD"
}
}
},
"isPublic": true
},
"guaranteeRedemptionQuantity": 0,
"canUseRedemption": false,
"isLoyalty": false
},
"paymentModes": [
{
"name": "Default Deposit",
"type": "DefaultDeposit",
"title": "Payer uniquement le dépôt de garantie de 230 €",
"description": "Le solde devra être payé à l'hôtel",
"depositAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"depositRedemptionQuantity": 0,
"cancellationInsuranceAllowed": true,
"supportedCardTypes": [
"Visa",
"MasterCard"
],
"supportedPaymentMethods": [
"Paypal"
],
"isFullOnlinePayment": false,
"scheduledPayment": {
"description": "Réservez maintenant et payer 136 € le 20 avr. 2026."
}
}
],
"insurance": {
"name": "Allianz",
"price": {
"converted": {
"text": "18,80 €",
"value": {
"amount": 18.8,
"currency": "EUR"
}
},
"original": {
"text": "22,56 USD",
"value": {
"amount": 22.56,
"currency": "USD"
}
}
},
"insuredAmount": {
"converted": {
"text": "230 €",
"value": {
"amount": 230,
"currency": "EUR"
}
},
"original": {
"text": "276 USD",
"value": {
"amount": 276,
"currency": "USD"
}
}
},
"termsUrl": "http://insurances.com/Allianz-fr.pdf",
"ipidUrl": "http://insurances.com/Allianz-IPID-fr.pdf",
"logoUrl": "http://logo.com/monlogo.jpg",
"depositText": "Le montant de l'assurance annulation (18,80 €) est à régler en ligne au moment de la réservation."
},
"defaultPaymentType": "DefaultDeposit",
"isSmsConfirmAvailable": true,
"marketing": {
"isOptinHotelAvailable": true,
"isOptinPartnersAvailable": true
}
}{
"code": "InvalidUserAuthentication",
"message": "<string>"
}Headers
The discount calculation mode.
The discount value.
The option amount.
The option hours validity.
The impersonation.
Path Parameters
Response
OK
Payment method proposed to the end user for a booking.
- DefaultDeposit — Standard deposit captured at booking; the balance is settled later (typically on site).
- FullOnlinePayment — Full booking amount is captured online at booking time.
- CallOption — Place an option according to the CRS configured amount of time with a configured price penalty if the booking is not completed on time.
- WireTransfer — Payment is settled by bank wire transfer outside the online booking flow.
- PaymentHubRedirection — Payment is delegated to an external payment hub via browser redirection.
Available options:
DefaultDeposit, FullOnlinePayment, CallOption, WireTransfer, PaymentHubRedirection Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?